{{ $ := .root }}
{{ $page := .page }}
{{ $columns := $page.Params.design.columns | default "2" }}

<!-- Accomplishments widget -->
<div class="col-12 {{if eq $columns "2"}}col-lg-8{{end}}">
  {{ with $page.Content }}{{ . }}{{ end }}

  {{ if $page.Params.item }}
  {{ range $idx, $key := sort $page.Params.item ".date_start" "desc" }}
    <div class="card experience course">
      <div class="card-body">
        {{- $svg_icon := resources.Get (printf "media/icons/brands/%s.svg" (replace (lower .organization) " " "_")) -}}
        {{- if $svg_icon }}
        <div class="d-flex align-content-start">
          <div class="mr-2 mb-2">
            {{- with .organization_url}}<a href="{{.}}" target="_blank" rel="noopener">{{end -}}
            <img src="{{ $svg_icon.RelPermalink }}" width="56px" height="56px" alt="{{.organization | plainify}}">
            {{- with .organization_url}}</a>{{end -}}
          </div>
          <div>
        {{ end }}

            {{- with .url -}}<a href="{{.}}" target="_blank" rel="noopener">{{- end -}}
            <div class="section-subheading card-title exp-title text-muted my-0">{{.title | markdownify | emojify}}</div>
            {{- with .url -}}</a>{{- end -}}

            <div class="card-subtitle my-0 article-metadata">
              {{- with .organization_url}}<a href="{{.}}" target="_blank" rel="noopener">{{end -}}
              {{- .organization | markdownify | emojify -}}
              {{- with .organization_url}}</a>{{end -}}

              <span class="middot-divider"></span>

              {{ (time .date_start).Format ($page.Params.date_format | default "Jan 2006") }}
              {{ if .date_end}}
              – {{ (time .date_end).Format ($page.Params.date_format | default "Jan 2006") }}
              {{end}}
            </div>

        {{- if $svg_icon}}
          </div>
        </div>
        {{end}}

        {{with .description}}
          <div class="card-text">{{. | markdownify | emojify}}</div>
        {{end}}

        {{ with .certificate_file }}
          <a class="card-link" href="{{.}}" target="_blank" rel="noopener">
            View
          </a>
        {{ end }}

        {{ with .certificate_file_word }}
        <a class="card-link" href="{{.}}" target="_blank" rel="noopener">
          View Word
        </a>
        {{ end }}

        {{ with .certificate_file_powerpoint }}
        <a class="card-link" href="{{.}}" target="_blank" rel="noopener">
          View PowerPoint
        </a>
        {{ end }}

        {{ with .certificate_file_excel }}
        <a class="card-link" href="{{.}}" target="_blank" rel="noopener">
          View Excel
        </a>
        {{ end }}

        {{ with .certificate_url }}
        <a class="card-link" href="{{.}}" target="_blank" rel="noopener">
          Verify
        </a>
        {{ end }}

        {{ with .certificate_url_word}}
        <a class="card-link" href="{{.}}" target="_blank" rel="noopener">
          Verify Word
        </a>
        {{ end }}

        {{ with .certificate_url_powerpoint }}
        <a class="card-link" href="{{.}}" target="_blank" rel="noopener">
          Verify PowerPoint
        </a>
        {{ end }}

        {{ with .certificate_url_excel }}
        <a class="card-link" href="{{.}}" target="_blank" rel="noopener">
          Verify Excel
        </a>
        {{ end }}
      </div>
    </div>
  {{end}}
  {{end}}
</div>
